libnl: Text Search

libnl 3.12.0

Text Search
Routing Library (libnl-route) » Traffic Control » Classifiers » Extended Match

## Data Structures
struct | text_data

## Functions
void | rtnl_ematch_text_set_from (struct rtnl_ematch *e, uint8_t layer, uint16_t offset)
uint16_t | rtnl_ematch_text_get_from_offset (struct rtnl_ematch *e)
uint8_t | rtnl_ematch_text_get_from_layer (struct rtnl_ematch *e)
void | rtnl_ematch_text_set_to (struct rtnl_ematch *e, uint8_t layer, uint16_t offset)
uint16_t | rtnl_ematch_text_get_to_offset (struct rtnl_ematch *e)
uint8_t | rtnl_ematch_text_get_to_layer (struct rtnl_ematch *e)
void | rtnl_ematch_text_set_pattern (struct rtnl_ematch *e, char *pattern, size_t len)
char * | rtnl_ematch_text_get_pattern (struct rtnl_ematch *e)
size_t | rtnl_ematch_text_get_len (struct rtnl_ematch *e)
void | rtnl_ematch_text_set_algo (struct rtnl_ematch *e, const char *algo)
char * | rtnl_ematch_text_get_algo (struct rtnl_ematch *e)

## Detailed Description

## Function Documentation

## ◆ rtnl_ematch_text_set_from()

void rtnl_ematch_text_set_from | ( | struct rtnl_ematch * | e,
|  | uint8_t | layer,
|  | uint16_t | offset )

Definition at line 27 of file text.c.

## ◆ rtnl_ematch_text_get_from_offset()

uint16_t rtnl_ematch_text_get_from_offset | ( | struct rtnl_ematch * | e | ) |

Definition at line 35 of file text.c.

## ◆ rtnl_ematch_text_get_from_layer()

uint8_t rtnl_ematch_text_get_from_layer | ( | struct rtnl_ematch * | e | ) |

Definition at line 40 of file text.c.

## ◆ rtnl_ematch_text_set_to()

void rtnl_ematch_text_set_to | ( | struct rtnl_ematch * | e,
|  | uint8_t | layer,
|  | uint16_t | offset )

Definition at line 45 of file text.c.

## ◆ rtnl_ematch_text_get_to_offset()

uint16_t rtnl_ematch_text_get_to_offset | ( | struct rtnl_ematch * | e | ) |

Definition at line 53 of file text.c.

## ◆ rtnl_ematch_text_get_to_layer()

uint8_t rtnl_ematch_text_get_to_layer | ( | struct rtnl_ematch * | e | ) |

Definition at line 58 of file text.c.

## ◆ rtnl_ematch_text_set_pattern()

void rtnl_ematch_text_set_pattern | ( | struct rtnl_ematch * | e,
|  | char * | pattern,
|  | size_t | len )

Definition at line 63 of file text.c.

## ◆ rtnl_ematch_text_get_pattern()

char * rtnl_ematch_text_get_pattern | ( | struct rtnl_ematch * | e | ) |

Definition at line 75 of file text.c.

## ◆ rtnl_ematch_text_get_len()

size_t rtnl_ematch_text_get_len | ( | struct rtnl_ematch * | e | ) |

Definition at line 80 of file text.c.

## ◆ rtnl_ematch_text_set_algo()

void rtnl_ematch_text_set_algo | ( | struct rtnl_ematch * | e,
|  | const char * | algo )

Definition at line 85 of file text.c.

## ◆ rtnl_ematch_text_get_algo()

char * rtnl_ematch_text_get_algo | ( | struct rtnl_ematch * | e | ) |

Definition at line 92 of file text.c.